API Documentation |
PDFImage

Package | org.alivepdf.images
Class | public class PDFImage
Inheritance | PDFImage Object
Implements | IImage
Subclasses | GIFImage, JPEGImage, PNGImage

Public Properties

| Property | Defined By
--- | --- | ---
|  | bpc : int = 8 | PDFImage
|  | bytes : ByteArray [read-only] | PDFImage
|  | cs : String = DeviceRGB | PDFImage
|  | ct : Number | PDFImage
|  | f : String | PDFImage
|  | height : int | PDFImage
|  | i : int | PDFImage
|  | n : int | PDFImage
|  | pal : String | PDFImage
|  | parameters : String | PDFImage
|  | progressive : Boolean | PDFImage
|  | trns : String | PDFImage
|  | width : int | PDFImage

Protected Properties

| Property | Defined By
--- | --- | ---
|  | stream : ByteArray | PDFImage

Public Methods

| Method | Defined By
--- | --- | ---
|  | PDFImage(imageStream:ByteArray, id:int) | PDFImage

Property Detail

bpc | property

`public var bpc:int = 8`

bytes | property |

`bytes:ByteArray` [read-only]

Implementation
`public function get bytes():ByteArray`

cs | property |

`public var cs:String = DeviceRGB`

ct | property |

`public var ct:Number`

f | property |

`public var f:String`

height | property |

`public var height:int`

i | property |

`public var i:int`

n | property |

`public var n:int`

pal | property |

`public var pal:String`

parameters | property |

`public var parameters:String`

progressive | property |

`public var progressive:Boolean`

stream | property |

`protected var stream:ByteArray`

trns | property |

`public var trns:String`

width | property |

`public var width:int`

Constructor Detail

PDFImage | () | Constructor

`public function PDFImage(imageStream:ByteArray, id:int)`

Parameters

| `imageStream:ByteArray`
| `id:int`

Mon Oct 17 2011, 09:13 PM -04:00